
QGIS Application - Bug report #19374

PyCapsule_GetPointer called with incorrect name

2018-07-10 07:19 AM - Stephane Goldstein

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Arch Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27202

Description

Have been using QGIS 3.2 for the last couple days.

Today got the two messages below on startup. Processing and non-core plugins are gone.

1st Message:

Couldn't load PyQGIS.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

  File "/usr/lib/python3.6/site-packages/qgis/__init__.py", line 80, in 

    import qgis.gui

  File "/usr/lib/python3.6/site-packages/qgis/gui/__init__.py", line 27, in 

    from qgis._gui import *

ValueError: PyCapsule_GetPointer called with incorrect name

2nd message:

An error occurred during execution of following code:

qgis.utils.uninstallErrorHook()

Traceback (most recent call last):

  File "", line 1, in 

NameError: name 'qgis' is not defined

History

#1 - 2018-07-12 01:41 AM - Stephane Goldstein

- Status changed from Open to Closed

The issued was fixed the next day with another QGIS update.

#2 - 2018-07-22 07:34 PM - Johannes Kroeger

Re-opening because I get the first message when trying to compile QGIS from Git master on Archlinux.

python-sip 4.19.12-4
python-sip-pyqt5 4.19.12-4

sip 4.19.12-4

pyqt5-common 5.11.2-1

python-pyqt5 5.11.2-1

[ 98%] Built target pyutils

[ 98%] Built target pyqtcompat

[ 98%] Built target pygui

[ 98%] Generating ui_DlgAddGeometryColumn.py

Traceback (most recent call last):

  File "../../../../scripts/pyuic-wrapper.py", line 26, in <module>

    import qgis.PyQt.uic.pyuic

  File "/home/qgis/.cache/aurman/qgis-git/src/qgis/build/output/python/qgis/__init__.py", line 80, in <module>

    import qgis.gui

  File "/home/qgis/.cache/aurman/qgis-git/src/qgis/build/output/python/qgis/gui/__init__.py", line 27, in <module>

    from qgis._gui import *

ValueError: PyCapsule_GetPointer called with incorrect name

make[2]: *** [python/plugins/db_manager/CMakeFiles/zzz-db_manager-15-depend.dir/build.make:74:

python/plugins/db_manager/ui_DlgAddGeometryColumn.py] Error 1

make[1]: *** [CMakeFiles/Makefile2:4143: python/plugins/db_manager/CMakeFiles/zzz-db_manager-15-depend.dir/all] Error 2

make: *** [Makefile:152: all] Error 2

==> ERROR: A failure occurred in build().

    Aborting...

#3 - 2018-07-24 12:08 PM - Johannes Kroeger

Posted as separate issue as it is not on runtime but when building from source for me: #19476

#4 - 2018-08-13 01:51 AM - David Wickland

Am getting the exact same error messages in version 3.2.1, after updating all my pip packages.

Tried reverting all of these to a previous version, but to no avail. Currently running these versions:

PyQt5: 5.11.2

PyQt5-sip: 4.19.12

sip: 4.19.12

QScintilla: 2.10.7
